This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1285385 - lmfit-6.0 is available
lmfit-6.0 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lmfit (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 09:08 EST by Dominik 'Rathann' Mierzejewski
Modified: 2015-11-30 07:00 EST (History)
1 user (show)

See Also:
Fixed In Version: lmfit-6.0-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-27 08:19:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2015-11-25 09:08:03 EST
Description of problem:
lmfit-6.0 was just released:

http://apps.jcns.fz-juelich.de/doku/sc/lmfit
http://apps.jcns.fz-juelich.de/src/lmfit/lmfit-6.0.tgz

Please update to the latest version in rawhide. It provides new API (lmcurve_tyd()), which is necessary for unbundling lmfit from gromacs.

I think the only package depending on lmfit at this point is repsnapper. Since the new release is API-compatible (despite the ABI bump), a simple rebuild should work.
Comment 1 Miro Hrončok 2015-11-27 07:53:35 EST
Thanks for the research. On it.
Comment 2 Miro Hrončok 2015-11-27 08:19:20 EST
Done. Will rebuild repsnapper in a while. Do you want this in some releases as well? Sin's it's not breaking the API, should be fine.
Comment 3 Dominik 'Rathann' Mierzejewski 2015-11-30 07:00:36 EST
Thanks. Let's keep in just in rawhide for now, until GROMACS starts using this new API. I don't have an updated build that uses it yet.

Note You need to log in before you can comment on or make changes to this bug.